package data.hullmods;

import com.fs.starfarer.api.combat.HullModEffect;
import com.fs.starfarer.api.combat.MutableShipStatsAPI;
import com.fs.starfarer.api.combat.ShipAPI;
import com.fs.starfarer.api.combat.ShipAPI.HullSize;

public class FortifiedShield implements HullModEffect {

	public static final float SHIELD_BONUS = 25f;
	public static final float ARC_PENALTY = 40f;
	
	public void applyEffectsBeforeShipCreation(HullSize hullSize, MutableShipStatsAPI stats, String id) {
		stats.getShieldDamageTakenMult().modifyPercent(id, -SHIELD_BONUS);
		stats.getShieldArcBonus().modifyPercent(id, -ARC_PENALTY);
	}
	
	public void applyEffectsAfterShipCreation(ShipAPI ship, String id) {}

	
	public String getDescriptionParam(int index, HullSize hullSize) {
		if (index == 0) return "" + (int) SHIELD_BONUS;
		if (index == 1) return "" + (int) ARC_PENALTY;
		return null;
	}


}
